package com.huimv.location.service;

import com.alibaba.fastjson.JSONArray;
import com.huimv.location.dao.entity.BeaconEntity;

import java.io.UnsupportedEncodingException;
import java.util.List;

public interface BeaconService {
    // 读取所有信标（耳标）最后一次上传数据
    JSONArray getRemoteBeacons() throws UnsupportedEncodingException;

    //保存信标数据
    void saveBeacon() throws UnsupportedEncodingException;

    // 获取单个信标（耳标）数据
    List<BeaconEntity> getOneBeacons(String mac, String startTime, String endTime);
//
//    saveLocation();
}
