package com.huimv.location.task;

import com.huimv.location.service.BeaconService;
import com.huimv.location.utils.HttpClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.io.UnsupportedEncodingException;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Component
public class LocationTask {
    @Autowired
    private HttpClient httpClient;
    @Autowired
    private BeaconService beaconService;
//    String host_url = "http://192.168.1.17:44444";
//    String host_url = "http://localhost:44444";
    @Value("${host_url}")
    private String host_url;

    int i=0;
    @Scheduled(cron = "0/1 * * * * *")
    public void saveBeacon() throws UnsupportedEncodingException {
//        String url = host_url+"/beacons/32b00ae08dfc";
//        String beacons = httpClient.doGet(host_url);
//        System.out.println("=====>>>>>使用cron  {}"+ System.currentTimeMillis()+",i="+(i++)+" "+outData);

        beaconService.saveBeacon();
    }
}
