package com.huimv.location.utils;

import org.springframework.stereotype.Component;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
public class DataUtil {

    /**
     * @Method : transferLongToDate
     * @Description :
     * @Params : [dateFormat, millSec]
     * @Return : java.lang.String
     * @Author : ZhuoNing
     * @Date : 2021/9/18
     * @Time : 14:44
     */
    public String transferLongToDate(String dateFormat, Long millSec) {
        SimpleDateFormat sdf = new SimpleDateFormat(dateFormat);
        Date date = new Date(millSec);
        return sdf.format(date);
    }
}
